END(7)

NAME
END - commit the current transaction

SYNOPSIS

END [ WORK | TRANSACTION ]

  INPUTS

WORK

TRANSACTION
    Optional keywords. They have no effect.

  OUTPUTS

COMMIT
    Message returned if the transaction is successfully committed.

NOTICE: COMMIT: no transaction in progress
    If there is no transaction in progress.

DESCRIPTION

END is a PostgreSQL extension, and is a synonym for the SQL92-compatible COMMIT [commit(7)].

  NOTES

The keywords WORK and TRANSACTION are noise and can be omitted.

Use ROLLBACK [rollback(7)] to abort a transaction.

USAGE

To make all changes permanent:

END WORK;

COMPATIBILITY

  SQL92

END is a PostgreSQL extension which provides functionality equivalent to COMMIT [commit(7)].